-- BOSS来袭
Lua_MonsterComeWindow = class("Lua_MonsterComeWindow", Lua_SecondSizeWindow);
function Lua_MonsterComeWindow:ctor()
	self:superCall("ctor");
	self.isModel = true;
	self.titleText = LanUtil.getValue(123000);

	self.windowName = "Lua_MonsterComeWindow";
	self.skinName = "MonsterComeWindow_skin";
end
	
function Lua_MonsterComeWindow:buildShowItem()
	self:superCall("buildShowItem");

	local activityID = DataCenter.monsterComeUtil.monsterComeConfig;
	local showTime = DataCenter.xianshiData:getDataById(activityID).openTimeDesc;
	self.titleLab.text = LanUtil.formateStr(LanUtil.getValue(123002), tostring(showTime)) ;
	self.titleLab1.text = LanUtil.getValue(123003);

	self.tiltebg.imgTypeNum = 4;
	self.tiltebg.widget.border = Vector4(0, 10, 0, 10);

	self.imgBg = UICreate.createImage(self.content, "/images/daily/ui_bssslx_bg.png", 0, 10, 0, 0);
	self.imgBg:setDepth(1);

	-- 奖励展示
	local rewardId = DataCenter.xianshiData:getDataById(activityID).display_reward;
	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setLayout(90, 90, 9);
	self.rItem:setMaxShow(9);
	self.rItem:setDepth(self.depth + 10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(1, 1);
	self.rItem:setLocation(304.5, -155.5, 0);
	self.rItem:setRewardByRewardList(Array(rewardId));

	self.wenhao:addClickFuntion(self,self.onHelp);
	self.Button:addClickFuntion(self,self.onButtonClick);
end

function Lua_MonsterComeWindow:onButtonClick()
	-- print("点击进入场景")
	local SceneID = DataCenter.monsterComeUtil.monsterComeScene;
	for k,v in pairs(SceneID) do
		if DataCenter.roleData.sceneId == v then -- Boss袭击场景
			OperateAlert.show(LanUtil.getValue(121805));
			return;
		end
	end
	Lua_ProxyManager.getProxy("Lua_MonsterComeProxy"):sMonsterComeScene(); -- 进入场景
end

function Lua_MonsterComeWindow:onHelp()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(123001));
end

function Lua_MonsterComeWindow:dispose()
	self:superCall("dispose");
end